id: https://w3id.org/gaia-x/ONTOLOGY_VERSION#region
name: region
prefixes:
  gx: https://w3id.org/gaia-x/ONTOLOGY_VERSION#
  linkml: https://w3id.org/linkml/
imports:
  - linkml:types
  - resource
  - datacenter
default_prefix: gx
default_range:  string

classes:
  Region:
    is_a: Resource
    title: "Region"
    description: A region is an aggregation of datacenters.
    attributes:
      aggregationOfResources:
        title: "Aggregation Of"
        description: References those datacenters (at least one must exist) out of which a region is aggregated.
        required: true
        multivalued: true
        range: Datacenter
